import 'package:basic_ui/src/widgets/basic_color.dart';
import 'package:flutter/material.dart';

class BasicTheme {
  const BasicTheme({
    this.fontColor = BasicColor.fontColor,
    this.fontSubtitleColor = BasicColor.fontSubtitleColor,
    this.primaryColor = BasicColor.primaryColor,
    this.secondaryColor = BasicColor.secondaryColor,
    this.borderColor = BasicColor.borderColor,
    this.backgroundColor = BasicColor.backgroundColor,
    this.dangerColor = BasicColor.dangerColor,
    this.cardRadius = 3,
    this.cardElevation = 0,
    this.appBarElevation = 0,
  });

  final Color fontColor;
  final Color fontSubtitleColor;
  final Color primaryColor;
  final Color secondaryColor;
  final Color borderColor;
  final Color backgroundColor;
  final Color dangerColor;
  final double cardRadius;
  final double cardElevation;
  final double appBarElevation;
}
